MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000042Hall D OfflineGeneralpublic2011-01-24 09:372012-01-31 14:39
Reporterdavidl 
Assigned Todavidl 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0000042: Fitter gives very different momentum for different mass hypotheses
DescriptionKei Morya at IU reported that several track candidates were being reconstructed with very different momentum depending on whether the pion mass hypothesis or the proton mass hypothesis was being used. For example, a 3 GeV/c pi+ fit as a proton resulted in a 0.5 GeV/c momentum.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000054)
davidl (administrator)
2011-01-24 09:42

It was determined that IU was using code defaulting (quietly) to the ALT1 fitter. Kei supplied a selection of events demonstrating the problem. Simon and I looked at them and determined that for these events, the KalmanSIMD fitter was failing to fit the proton mass hypothesis, while the ALT1 fitter did not fail, but tended to return the incorrect momentum.

Simon looked and saw that the hit selection was including at least one or more hits from a different track. We currently believe this is the root of the problem. It is being addressed in 2 ways:

1. The hit selection code (common to all fitters) is being modified to better calculate the confidence level in assigning a hit to a track

2. The "filter" part of the Kalman Filter fitter is being enabled to try and reject hits that do not appear to belong on the track while it is being fit.
(0000058)
davidl (administrator)
2011-02-22 09:06

This problem was identified as having two inputs:

1. Th Hit Selection algorithm was often contaminating the hit list of a track with hits that shouldn't have been there. This was dependent on particle mass. Bad hit(s) would cause the fitter to converge to a completely different answer.

2. The ALT1 fitter was succeeding for some of the mass hypotheses with contaminated hit lists where the KalmanSIMD fitter was not.
(0000059)
davidl (administrator)
2011-02-22 09:08

Work has started on on an ALT2 hit selector. This seems to fix the problem somewhat, but evidence has emerged that it is causing inefficiencies that need to be addressed prior to making it the default. Once that is done, this issue will be marked as resolved.
(0000277)
marki (administrator)
2012-01-31 14:33

Reminder sent to: davidl, marki, staylor

This is resolved, no?
(0000280)
staylor (developer)
2012-01-31 14:39

The spurious momentum spikes are no longer present as far as I know.

The kalman filter is the default; the code no longer silently falls back on the alt1 (global least-squares) fitter, which is currently not under development.

- Issue History
Date Modified Username Field Change
2011-01-24 09:37 davidl New Issue
2011-01-24 09:37 davidl Status new => assigned
2011-01-24 09:37 davidl Assigned To => davidl
2011-01-24 09:42 davidl Note Added: 0000054
2011-02-22 09:06 davidl Note Added: 0000058
2011-02-22 09:06 davidl Status assigned => confirmed
2011-02-22 09:08 davidl Note Added: 0000059
2012-01-31 14:33 marki Note Added: 0000277
2012-01-31 14:39 staylor Note Added: 0000280
2012-01-31 14:39 staylor Status confirmed => resolved
2012-01-31 14:39 staylor Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker